## paraglob 0.4.1

=== debian/changelog ===
paraglob (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Add git-buildpackage configuration

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 May 2020 20:53:18 +0200

paraglob (0.4-1) experimental; urgency=medium

  * Initial release (Closes: #951346)

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Feb 2020 18:18:58 +0100

## paraglob 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(paraglob)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)
string(TOUPPER ${CMAKE_BUILD_TYPE} build_affix)

# Modifies CXX_FLAGS && CXX_FLAGS_RELEASE
include(RequireCXX17.cmake)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS_RELEASE "-O3")

include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/src)

if (NOT INSTALL_LIB_DIR)
  set(INSTALL_LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif ()

add_subdirectory(src)
add_subdirectory(tools)

install(DIRECTORY include/paraglob DESTINATION include FILES_MATCHING PATTERN "*.h")

set(summary
    "=================|  Paraglob Config Summary  |==================="
    "\nBUILD_TYPE:          ${build_affix}"
    "\nCXX_FLAGS:           ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${build_affix}}"
    "\n================================================================="
    )

message("\n" ${summary} "\n")

=== src/CMakeLists.txt ===

set(AHOCORASICK_SRCS
  ahocorasick/ahocorasick.c
  ahocorasick/node.c
  ahocorasick/mpool.c
  ahocorasick/replace.c
  ahocorasick/AhoCorasickPlus.cpp
)

add_subdirectory(ahocorasick)

add_library(paraglob STATIC
  paraglob.cpp
  paraglob_serializer.cpp
  ${AHOCORASICK_SRCS}
)
set_target_properties(paraglob PROPERTIES OUTPUT_NAME paraglob)

install(TARGETS paraglob DESTINATION lib)

=== debian/changelog ===
paraglob (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Sep 2020 21:51:27 +0200

## paraglob 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 project(paraglob)
+
+include(GNUInstallDirs)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
@@ -15,10 +17,6 @@
 include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/include)
 include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-if (NOT INSTALL_LIB_DIR)
-  set(INSTALL_LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib)
-endif ()
-
 add_subdirectory(src)
 add_subdirectory(tools)

=== debian/changelog ===
paraglob (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 14:33:51 +0100

=== debian/control ===
Source: paraglob
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12),
 cmake,
Standards-Version: 4.4.0
Section: libs
Homepage: https://github.com/zeek/paraglob
Vcs-Browser: https://salsa.debian.org/bro-team/paraglob
Vcs-Git: https://salsa.debian.org/bro-team/paraglob.git

Package: libparaglob-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: library that matches a string against a large list of patterns
 Paraglob is a library that is able to match strings against a large
 list of patterns using a variant of the Aho-Corasick algorithm. It is
 used within the Zeek Network Security Monitoring software.
 .
 This package contains header files and a static library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/libparaglob-dev/usr/bin

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%paraglob-$1.tar.gz%" \
   https://github.com/zeek/paraglob/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
